<?php 
class Admin_Controller extends Base_Controller {
	function __construct(){
		parent::__construct();

	}
	function index(){
		$this->view 			= 	new View('admin/index');
		$this->view->user		=	$_SESSION['adminmanager'];
		if(!is_file(DATADIR."cache/menu-".$this->view->user->group_name.".tmp.php")){
			$this->menu = new Menu_Menu_Model();  
			$this->menu->cache();
		}
		require(DATADIR."cache/menu-".$this->view->user->group_name.".tmp.php");
		@$this->view->menu_1		=	$menu_1 or array();
		@$this->view->menu_2		=	$menu_2 or array();
		@$this->view->menu_3		=	$menu_3 or array();
		$this->view->render(true);
	}
	function main(){
		$this->view				=	new View('admin/default');
		$this->display();
	}
} 	